summaryrefslogtreecommitdiff
path: root/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make.sh')
-rwxr-xr-xmake.sh14
1 files changed, 6 insertions, 8 deletions
diff --git a/make.sh b/make.sh
index 07d2bed4d..f0900689d 100755
--- a/make.sh
+++ b/make.sh
@@ -11,17 +11,15 @@ export PKG_MAKE=$0
export PKG_NAME=${1%_}
export PKG_BASE=$(realpath "$(dirname "$0")")
+. "${PKG_BASE}/config"
. "${PKG_BASE}/helper.sh"
-if [[ ! -x ${PKG_BASE}/util/arid || ${PKG_BASE}/util/arid -ot ${PKG_BASE}/util/arid.cpp ]]; then
- g++ -I ~/menes -o "${PKG_BASE}"/util/arid{,.cpp}
+if [[ ! -x ${PKG_BASE}/util/arid || ${PKG_BASE}/util/arid -ot ${PKG_BASE}/util/arid.cpp ]] || [[ ! -x ${PKG_BASE}/util/ldid || ${PKG_BASE}/util/ldid -ot ${PKG_BASE}/util/ldid.cpp ]]; then
+ echo "Run \`make\` in util/ldid-xerub/"
+ exit 1
fi
-if [[ ! -x ${PKG_BASE}/util/ldid || ${PKG_BASE}/util/ldid -ot ${PKG_BASE}/util/ldid.cpp ]]; then
- g++ -I ~/menes -o "${PKG_BASE}"/util/ldid{,.cpp} -x c "${PKG_BASE}"/util/{lookup2,sha1}.c
-fi
-
-export CODESIGN_ALLOCATE=$(which codesign_allocate)
+export CODESIGN_ALLOCATE=${PKG_codesign_allocate:-$(which codesign_allocate)}
for DEP_NAME in "${PKG_DEPS[@]}"; do
"${PKG_MAKE}" "${DEP_NAME}"
@@ -144,7 +142,7 @@ function pkg:configure() {
export -f pkg:configure
function pkg:make() {
- make -j16 CC="${PKG_TARG}-gcc" CXX="${PKG_TARG}-g++" AR="${PKG_TARG}-ar" "$@"
+ make -j16 CC="${PKG_TARG}-gcc" CXX="${PKG_TARG}-g++" "$@"
}
export -f pkg:make